using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace TelerikAspNetCoreApp132.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }

        public IActionResult GetData()
        {
            var options = new List<SelectListItem>() {
              new SelectListItem() {
                Text = "Cotton", Value = "1"
              },
              new SelectListItem() {
                Text = "Polyester", Value = "2"
              },
              new SelectListItem() {
                Text = "Cotton/Polyester", Value = "3"
              },
              new SelectListItem() {
                Text = "Rib Knit", Value = "4"
              }
          };
            return Json(options);
        }
    }
}
